Bug 171497 - wireless-tools.i386 1:28-0.pre10.4 causes segfault in KDE kicker
wireless-tools.i386 1:28-0.pre10.4 causes segfault in KDE kicker
Product: Fedora
Classification: Fedora
Component: kdenetwork (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2005-10-21 16:31 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-07 07:43:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2005-10-21 16:31:40 EDT
Description of problem:
With wireless-tools.i386 1:28-0.pre10.4 installed from updates-testing, kicker
crashes everytime I start it.  Backtrace is hosed due to stack corruption.

Version-Release number of selected component (if applicable):

How reproducible:
Comment 1 Orion Poplawski 2005-11-09 11:29:05 EST
So, I thought that by using updates-testing on my machine I could catch updates
that break things and report them so that they don't get released and affect the
rest of my users.  Apparently not.  This update has now been released and has
already caused another person's desktop to become totally non-fuctional.  Please
fix this!
Comment 2 Christopher Aillon 2005-11-09 11:39:27 EST
Why KDE kicker would break because of this makes no sense whatsoever.  KDE may
be doing something very very wrong, here.  Than?  Any ideas?
Comment 3 Ngo Than 2005-11-09 12:05:16 EST
it's strange. I cannot reproduce this problem on FC4 with KDE-3.4.2 updates.
Which version of KDE is running on your machine? Could you please
attach the outputs of "rpm -q rpm -q kdelibs kdebase kdenetwork". Thanks
Perhaps you should try with new user! 
Comment 4 Orion Poplawski 2005-11-09 13:11:05 EST

Crash appears to be caused by the kwireless applet.  Removing it from my
kickerrc stops it from crashing, and adding it back causes it to crash.
Comment 5 Christopher Aillon 2005-11-09 17:11:01 EST
Does kwireless need a rebuild?
Comment 6 Orion Poplawski 2005-11-09 18:52:47 EST
I rebuilt kdenetwork-3.4.2-0.fc4.1 with wireless-tools-28-0.pre10.4 and indeed I
can add the wireless monitor without the kicker crashing.
Comment 7 Ngo Than 2005-11-10 08:36:42 EST
ok, i will rebuild kdenetwork for FC4 today, many thanks for your report
Comment 8 Fedora Update System 2005-11-10 12:18:16 EST
From User-Agent: XML-RPC

kdenetwork-3.4.2-0.fc4.2 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.